Download it now!
Bug 104005 - Expert Configuration dialog does not respect finalized configuration values
Summary: Expert Configuration dialog does not respect finalized configuration values
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 89501 Options-Dialog-Expert
  Show dependency treegraph
 
Reported: 2016-11-18 10:27 UTC by Andras Timar
Modified: 2020-09-22 03:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2016-11-18 10:27:28 UTC
Description:
Tools - Options - LibreOffice - Advanced pane, Expert Configuration button.
The resulting Expert Configuration dialog does not respect finalized configuration values. This means that when a configuration value is locked down on lower levels of configuration, in this dialog it is still modifiable, and causes program crash (Fatal Error: configmgr modification of finalized item) when user tries to overwrite a locked down value.

Steps to Reproduce:
Lock down a value, and try to change it in Expert Configuration dialog. For example, add create a new file, warnpdf.xcu with the following content, and add it to share/registry/data directory of LibreOffice. 

<?xml version="1.0" encoding="UTF-8"?>
<oor:items xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<item oor:path="/org.openoffice.Office.Common/Security/Scripting"><prop oor:name="WarnCreatePDF" oor:finalized="true"><value>true</value></prop></item>
<item oor:path="/org.openoffice.Office.Common/Security/Scripting"><prop oor:name="WarnPrintDoc" oor:finalized="true"><value>false</value></prop></item>
<item oor:path="/org.openoffice.Office.Common/Security/Scripting"><prop oor:name="WarnSaveOrSendDoc" oor:finalized="true"><value>false</value></prop></item>
<item oor:path="/org.openoffice.Office.Common/Security/Scripting"><prop oor:name="WarnSignDoc" oor:finalized="true"><value>true</value></prop></item>
</items>


Actual Results:  
You will see that the settings are actually locked down, Tools - Option - LibreOffice - Security pane, Security Options and Warnings section, Options... button. 

However, in Expert config the settings are modifiable.

Expected Results:
When displaying items in Expert Config dialog, the read-only state of config item must be checked. The read-only item must be inaccessible from UI (greyed out) and the lock icon should be there, before the text of config item. 


Reproducible: Always

User Profile Reset: 

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 Cor Nouws 2016-11-18 11:12:40 UTC
(In reply to Andras Timar from comment #0)

> modifiable, and causes program crash (Fatal Error: configmgr modification of
> finalized item) when user tries to overwrite a locked down value.

my daily from 2016-11-18 more freezes when OKing the Options dlg, but I confirm the rest of your report.
Comment 2 QA Administrators 2018-05-08 02:32:41 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2020-09-22 03:59:01 UTC
Dear Andras Timar,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug